:host {
    position: relative;
    margin: 0 1rem;
    width: 1.5rem;
    height: 1.5rem;
}

.info-bubble {
    all: unset;
    color: #fff;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: 0.75rem;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: all 0.5s ease;
    z-index: var(--index);

    span {
        font-weight: bold;
    }

    &.show {
        position: absolute;
        top: 0;
        left: 0;
        height: 15vh;
        width: 30vw;

        padding: 1.5rem;
        background-color: var(--vil-primary);

        .info-container {
            transition: opacity 0.5s ease;
            transition-delay: 0.5s;
            height: 15vh;
            width: 30vw;
            opacity: 1;
        }
    }

    &.hide {
        background-color: #ccc;

        .info-container {
            height: 0;
            width: 0;
            opacity: 0;
            pointer-events: none;
        }

        &:hover {
            background-color: var(--vil-primary);
            cursor: pointer;
        }
    }
}
